#ifndef TMHistogrammingGlobalPixelXYZ_H
#define TMHistogrammingGlobalPixelXYZ_H

#include "TMHistogrammingShowDet.h"

class TH3F;
class TPolyLine3D;

class TMHistogrammingGlobalPixelXYZ : public TMHistogrammingShowDet {
 public:
  TMHistogrammingGlobalPixelXYZ(TPolyLine3D *tla[240]);
  virtual ~TMHistogrammingGlobalPixelXYZ();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void DrawDetector(TPad *pad);
  virtual void HideDetector(TPad *pad);

 protected:
  TH3F        *fTheHisto;
  TPolyLine3D *fDetLines[240];

};

#endif
